ALTER TABLE COMPONENT ADD CONSTRAINT FK_COMPONENT_CODELIST 
	FOREIGN KEY (CL_ID) REFERENCES CODELIST (CL_ID)
;
ALTER TABLE COMPONENT ADD CONSTRAINT FK_COMPONENT_CONCEPT 
	FOREIGN KEY (CON_ID) REFERENCES CONCEPT (CON_ID)
;
ALTER TABLE COMPONENT ADD CONSTRAINT FK_COMPONENT_DSD 
	FOREIGN KEY (DSD_ID) REFERENCES DSD (DSD_ID)
ON DELETE CASCADE
;
ALTER TABLE COMPONENT ADD CONSTRAINT FK_COMPONENT_MEASURE
	FOREIGN KEY (CON_SCH_ID) REFERENCES CONCEPT_SCHEME (CON_SCH_ID)
;
ALTER TABLE COMPONENT   ADD  CONSTRAINT FK_COMPONENT_COMMON_COMPONENT FOREIGN KEY(COMP_ID)
REFERENCES COMPONENT_COMMON (COMP_ID)
ON DELETE CASCADE
;
